Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.plugins
Class PluginVersion

    java.lang.Object
      org.pentaho.di.core.plugins.PluginVersion

    public class PluginVersion

extends Object

Field Summary
`static int` | `DEFAULT_MAJOR_VERSION`
`static int` | `DEFAULT_MINOR_VERSION`
`static int` | `DEFAULT_POINT_VERSION`
`static PluginVersion` | `DEFAULT_VERSION`
`static int` | `UNKNOWN_MAJOR_VERSION`
`static int` | `UNKNOWN_MINOR_VERSION`
`static int` | `UNKNOWN_POINT_VERSION`
`static PluginVersion` | `UNKNOWN_VERSION`

Constructor Summary
`PluginVersion(int majorVersion, int minorVersion, int pointVersion)`

Method Summary
`boolean` | `equals(PluginVersion version)`
`static PluginVersion` | `fromString(String versionString)`
`int` | `getMajorVersion()`
`int` | `getMinorVersion()`
`int` | `getPointVersion()`
`boolean` | `isCompatible()` Verifies that this version is compatible with DEFAULT_VERSION
`boolean` | `isMoreRecentThan(PluginVersion version)`
`void` | `setMajorVersion(int majorVersion)`
`void` | `setMinorVersion(int minorVersion)`
`void` | `setPointVersion(int pointVersion)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_MAJOR_VERSION

    public static final int UNKNOWN_MAJOR_VERSION

See Also:
  Constant Field Values

### UNKNOWN_MINOR_VERSION

    public static final int UNKNOWN_MINOR_VERSION

See Also:
  Constant Field Values

### UNKNOWN_POINT_VERSION

    public static final int UNKNOWN_POINT_VERSION

See Also:
  Constant Field Values

### DEFAULT_MAJOR_VERSION

    public static final int DEFAULT_MAJOR_VERSION

See Also:
  Constant Field Values

### DEFAULT_MINOR_VERSION

    public static final int DEFAULT_MINOR_VERSION

See Also:
  Constant Field Values

### DEFAULT_POINT_VERSION

    public static final int DEFAULT_POINT_VERSION

See Also:
  Constant Field Values

### UNKNOWN_VERSION

    public static PluginVersion UNKNOWN_VERSION

### DEFAULT_VERSION

    public static PluginVersion DEFAULT_VERSION

Constructor Detail

### PluginVersion

    public PluginVersion(int majorVersion,
                         int minorVersion,
                         int pointVersion)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### fromString

    public static PluginVersion fromString(String versionString)

### isCompatible

    public boolean isCompatible()

  Verifies that this version is compatible with DEFAULT_VERSION

  Returns:
    true if this version is compatible with the default version.

### isMoreRecentThan

    public boolean isMoreRecentThan(PluginVersion version)

  Parameters:
    `version` - the plugin version to check against
  Returns:
    true if this version is more recent than the version specified

### equals

    public boolean equals(PluginVersion version)

### getMajorVersion

    public int getMajorVersion()

  Returns:
    the major version

### setMajorVersion

    public void setMajorVersion(int majorVersion)

  Parameters:
    `majorVersion` - the major version to set

### getMinorVersion

    public int getMinorVersion()

  Returns:
    the minor version

### setMinorVersion

    public void setMinorVersion(int minorVersion)

  Parameters:
    `minorVersion` - the minor version to set

### getPointVersion

    public int getPointVersion()

  Returns:
    the point version

### setPointVersion

    public void setPointVersion(int pointVersion)

  Parameters:
    `pointVersion` - the point version to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD